Bug 78367 - Monitor not identified properly after install
Monitor not identified properly after install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-21 15:10 EST by David Balažic
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 14:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Balažic 2002-11-21 15:10:01 EST
Description of Problem:

On the Desktop, I went into "System Settings"->"Display"->"Advanced" and 
noticed that the "Monitor Type" field says "Monitor Model", which I find 
inappropriate. If I proceed to "Configure..."  and click "Probe Monitor", it 
properly detects "Hyundai HT-7695B".

The monitor was properly recognized at the very beginning of the installation ( 
CD,GUI ) and also after copying the packages, when X was configured.

Gfx card is : SiS 6326 8MB PCI

Also , after saving the new correct settings , a line was added to the "Device" 
Section of the vga card :
	Option	    "swcursor" ""
This turns on swcursor, while it was using a HW cursor before. Is that 
intentional ?

Version-Release number of selected component (if applicable):

XFree86***-4.2.0-72

How Reproducible:

? maybe with a new install. I did not try to reproduce it yet.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Mike A. Harris 2002-12-05 07:36:10 EST
Any options put into the config file are intentional.

Please paste the output of "lspci -vn" for your video card.

Also, if you comment out the "swcursor" line, does the mouse cursor
work correctly?  Run lots of applications, preferably including video
apps, mozilla, and various others please.  If there is no on screen
video corruption while after removing swcursor, then I can remove it
for the future.  If there is corruption, I'd like to fix the driver.

TIA
Comment 2 David Balažic 2002-12-05 10:06:43 EST
The problem here, IMHO, is that the "swcursor" option was added "magically" 
without any such request from the user. I only changed the monitor setting, I 
don't expect that is also covertly changes the gfx device's settings.

IIRC , HS cursor is buggy, while SW cursor is OK. HW cursor disappears after a 
VT7 -> VT1 -> VT7 switch, but comes back after a few seconds if I move the 
mouse around.
Comment 3 Mike A. Harris 2004-09-24 14:49:29 EDT
Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.